Subject: MAJOR ISSUE: WG formation process

From: Bernard Aboba <[email-masked]>
Date: Thu, 26 Jun 2003 22:15:35 -0700 (PDT)

Having looked through the archives, I haven't seen much discussion on this
topic, so I thought I'd bring it up. Is there a "problem" here?

I'd be interested if anyone has looked at the time it takes to get a WG
going -- that is, the time between when the first BOF occurs and when the
announcement of WG chartering occurs.  If our focus is timeliness and
relevance, then this also needs to occur in a timely way.  In general, I'm
curious as to the minimum, average, and maximum times that is required for
WG formation and how this compares to say, the time it takes to issue the
first document once the WG is chartered.

Of course, comments on other aspects of the WG formation process -
predictability, transparency -- are also welcome.

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 27 Jun 2003 22:02:44 +0200

> predictability, transparency -- are also welcome.

As I think I've said already, I think that WG creation is the most
important single action we take in the IETF, and that getting the
objectives right is very, very important. So it's not obviously a *problem*
if it takes months to create a WG. The real issue may be whether our WG
creation process is right - for example do we have enough of a road map
for a given area or topic to judge whether the WG fits the roadmap, or 
whether it has to be evaluated as a special case?

    Brian

---

From: Keith Moore <[email-masked]>
Date: Fri, 27 Jun 2003 16:33:37 -0400

> objectives right is very, very important. So it's not obviously a
> *problem* if it takes months to create a WG. 

I agree with you that WG creation is important (though I might argue
that final document approval is more important).  But I do think that
it probably is a problem if it takes months to create a WG.  I think
it's similar to the problem we have that few documents get promoted
beyond Proposed Standard.  In both cases one problem is that our 
processes are a poor impedance match for the energies that people 
have to put into them.  And IESG tries hard to get WG charters right for
much the same reason as it tries to get Proposed Standards right -
because once they're approved, it's hard to fix things that are broken.
And charters take a long time to get approved  partially because a lot
is at stake, and partially because IESG is busy and (rightfully) gives
priority to finishing up existing work over starting new work.

But people are often eager to get started on a new group; it's really
unfortunate if we cannot take advantage of that energy.

---

From: Allison Mankin <[email-masked]>
Date: Fri, 27 Jun 2003 16:30:50 -0700

> predictability, transparency -- are also welcome.

Bernard,  

There are aspects of relevance, IETF-wide overload, concentration of
power, and transparency, all important to the WG formation process.
I thought I'd send a summary note from my perspective of having helped quite
a few WGs into existence.  It takes the form of a chronology of the process
when there is just one BOF.  Just getting the process clear and transparent
is something we have never done, and which "problem" should do. There are 
issues that I can see.  More comments specific to "problem" are interspersed 
at **.  

BOF request
  o Does the problem belong in IETF?   BOF may be used to test.
      Area's "charter", big picture, constituents, state of industry, 
      judgement calls, reviews, all enter in...this part is not Process,
      but our real intellectual capital, our stock in trade...I think the
      process here applies to ensuring that the broad enough eview of 
      whether it's an IETF problem takes place.  More below on that.**
  o Is there a good charter?  AD may iterate with proposers, with 
    discussion on BOF mailing list.
  o Is there a draft clearly showing the problem?  Discussion begun?
      The Transport Area does not allow BOFs without.
  o Even if the problem does belong in IETF, are there cycles
    to do the proposed work (management and development)?
      Can the proposer show before or during the BOF that workers
      will come forward to justify IETF investment in the effort?

BOF review
  o IESG/IAB BOF pre-review.  Process needs more transparency**.
  o How did the BOF go?  Meeting, minutes, mailing list...
  o IAB review.  Process needs more transparency**.
  o Determination of outcome from meeting consensus and reviews.
       This determination needs more transparency.**

Chair selection
   o This is likely to be the BOF Chairs, but not necessarily.
   o Chair selection is very important.  See separate message**.
 
Charter development
   o Chairs collaborate on charter development (consult mailing list).
   o More intense discussion of questions in BOF request/BOF review.
   o Does every milestone have someone with cycles associated with it?
   o Does every milestone match the purposes in the charter? Are all
     the milestones well-defined?  Does the charter conclude?

Charter review
   o IESG/IAB internal review.  This currently cc's the proposed chairs.
     Chairs often take up the discussion points on the mailing list.

   o IETF WG Review.  This currently involves ietf-announce and discussion
     on the IETF list.  We rev charters based on the discussions.  
       By tradition, IETF WG Review doesn't include the milestones.  
       Should this be changed**?
   
WG formation time lag**

This really varies a lot.  If the WG proposer does well with steps above,
there will be a BOF at one IETF, one cycle of reviews, and formation of the
WG by the next IETF.  (This may not be OK for IETF-wide overload, but I've
already overloaded this messages with topics, so enough :)

Allison

---

From: Keith Moore <[email-masked]>
Date: Fri, 27 Jun 2003 20:08:19 -0400

] I'd be interested if anyone has looked at the time it takes to get a WG
] going -- that is, the time between when the first BOF occurs and when the
] announcement of WG chartering occurs.  If our focus is timeliness and
] relevance, then this also needs to occur in a timely way.  

I agree that WG formation time is a valid issue, but I strongly disagree that
it's meaningful to measure times from first BOF to chartering.  A lot of BOFs
are held for very dubious ideas that take considerable time for refinement 
before it's reasonable to even consider chartering WGs for them.

---

From: Melinda Shore <[email-masked]>
Date: Fri, 27 Jun 2003 20:18:29 -0400

> Just getting the process clear and transparent
> is something we have never done, and which "problem"
> should do. 

Just to be clear, what we're trying to clarify in this
instantiation of the working group is what the problems
are.  That means that we aren't going to be taking on
process improvement or, for that matter, process
documentation.

That said, as a WG chair and as an IETF participant I
thought your description of the steps taken in working group
formation were a terrific help.  I've never seen them
described clearly before.  Working group formation is
often a highly contentious, fraught process and I think it
would be valuable if something like this could be taken and
firmed up by the appropriate parties (IESG?), and then
posted on the IETF website on the IESG page or the
"Additional Information" page, etc.

In terms of process transparency, where I've really gotten
hammered by WG-to-be participants wanting to know what's
going on and why there hasn't been more progress is the
period during which the charter is being iterated back and
forth between the AD and the proposer, and then after the
charter disappears into the bowels of the IESG, sometimes
reappearing in a surprisingly different form.

Melinda

---

From: Bernard Aboba <[email-masked]>
Date: Fri, 27 Jun 2003 21:08:41 -0700 (PDT)

> I agree that WG formation time is a valid issue.

OK. What exactly do you think the "issue" is?

> but I strongly disagree that
> it's meaningful to measure times from first BOF to chartering.

I am curious as to what the distribution of these times are.  I'm not
suggesting that this is a metric we should be using to judge future
performance.

But if someone has looked at this, I'd be interested to know.

---

From: Keith Moore <[email-masked]>
Date: Sat, 28 Jun 2003 11:02:10 -0400

] > I agree that WG formation time is a valid issue.
] 
] OK. What exactly do you think the "issue" is?

often, we're not able to take advantage of the energy that accompanies an
effort to start a new WG; by the time we get it started, that energy has often
waned considerably.  this makes it harder to recruit people to do the heavy
lifting in the group, and may cause the group to take longer to produce
output.  in rare cases the group is unable to produce output while it's still
useful or relevant.

---

From: Jari Arkko <[email-masked]>
Date: Sat, 28 Jun 2003 21:37:17 +0300

> output.  in rare cases the group is unable to produce output while it's still

I agree. In addition, the energy level applies not just
to the IETF folks but also the rest of the society. In
most cases, new features have a window of opportunity
to become defined and deployed. After the window is
gone, other solutions (possibly inferior) have been
found, the users are interested in other things, etc.

--Jari

---

From: Scott W Brim <[email-masked]>
Date: Sat, 28 Jun 2003 16:09:17 -0400

On Sat, Jun 28, 2003 11:02:10AM -0400, Keith Moore allegedly wrote:
> often, we're not able to take advantage of the energy that accompanies
> an effort to start a new WG; by the time we get it started, that
> energy has often waned considerably.  this makes it harder to recruit
> people to do the heavy lifting in the group, and may cause the group
> to take longer to produce output.  in rare cases the group is unable
> to produce output while it's still useful or relevant.

Is this a problem?  Why would energy quickly evaporate?  People start
work but then lose support to participate?  Some article in Wired shifts
everybody's attention to the next hot topic?  I'm used to thinking of
the WG formation process as a pain, but it might be a good thing for
filtering out fads.

---

From: Melinda Shore <[email-masked]>
Date: Sat, 28 Jun 2003 16:43:51 -0400

> the WG formation process as a pain, but it might be a good thing for

Well, clearly there's a problem if getting a needed protocol
out takes so long that proprietary protocol/implementations
take hold and the IETF working group becomes irrelevant.
Still, I've found that to be more of a problem once a
working group is underway than it is during the chartering
process.  Also, I've found that fewer people tend to be
interested in the bits-'n-bytes aspect of the work than they
are in the architectural framework phase (I suppose there's
some irony there, given how badly we do architecture) and
that causes some natural attrition as working groups hunker
down after an initial protocol draft.

Melinda

---

From: Keith Moore <[email-masked]>
Date: Sat, 28 Jun 2003 20:55:32 -0400

] On Sat, Jun 28, 2003 11:02:10AM -0400, Keith Moore allegedly wrote:
] > often, we're not able to take advantage of the energy that accompanies
] > an effort to start a new WG; by the time we get it started, that
] > energy has often waned considerably.  this makes it harder to recruit
] > people to do the heavy lifting in the group, and may cause the group
] > to take longer to produce output.  in rare cases the group is unable
] > to produce output while it's still useful or relevant.
] 
] Is this a problem?  Why would energy quickly evaporate?  People start
] work but then lose support to participate?  Some article in Wired shifts
] everybody's attention to the next hot topic?  I'm used to thinking of
] the WG formation process as a pain, but it might be a good thing for
] filtering out fads.

Analyzing the psychology behind this is probably beyond my expertise.
But I'm certainly not the first to observe that the enthusiasm for
a project fades fairly quickly after it is started.  (Surely you've
seen the "six phases of a project" sign?)

I would love to believe that talented people could be found to work for free
on any IETF project that is worthwhile.  But experience suggests that people
prefer to work on things that are visible, that promise significant benefit,
that can win them recognition, and yes, that are in fashion.  Given that we
are a volunteer organization I suspect we're going to need to be able to take 
advantage of fads.

---

From: Allison Mankin <[email-masked]>
Date: Sat, 28 Jun 2003 22:03:01 -0700

Melinda,

> process improvement or, for that matter, process

Yes.

My wording was a little unclear - I'd change it to to read that
the problem-statement could identify areas in which the working group
formation process is not transparent enough, as your example does.

> "Additional Information" page, etc.

I'll see about doing this.

> reappearing in a surprisingly different form.

AD and proposer really can do some or all of it on the BOF mailing
lists, or the Area mailing lists.  There are just old habits to get
out of.  I think we'd benefit from strongly encouraging this openness,
and some of the questions being discussed about relevance and enthusiasm
might improve if more people were in on the charter development at such
a critical point.

Allison

---

From: Melinda Shore <[email-masked]>
Date: Sun, 29 Jun 2003 09:29:59 -0400

> formation process is not transparent enough, as your example does.

One thing that's popping out of the discussion is that the
question of transparency is tied directly to one's role in
the process - for example, things that look obvious to IESG
members may not be obvious to chairs and things that are
obvious to chairs may not be obvious to WG participants (and
the problem probably flows in the opposite direction once a
WG is under way).

Melinda